> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-java/requisicoes-para-signatarios/signinbatch.md).

# signInBatch

### Visão geral

Parâmetros:&#x20;

* [SignBatch](/facilitadores/sdks/sdk-em-java/requisicoes-para-signatarios/signinbatch.md)

Retorno:

* String[ ](/facilitadores/sdks/sdk-em-java/classes-usadas/response/signer-response.md)- caso sucesso
* Exception - caso falha

Para assinar em lote precisamos:

* definir seu token api.
* definir o token do usuário.
* definir os tokens dos signatários.
* chamar o método.

### Uso:

Importe os componentes relevantes:

```java
import body.signer.SignBatch;
import signers.SignerRequest;

import java.util.ArrayList;
```

Salve seu [Api Token](/master.md):

```java
String apiToken = "SEU TOKEN";
```

Salve o token de seu usuário, ([onde achar](/signatarios/assinar-em-lote-via-api.md))

```java
String userToken = "TOKEN USUÁRIO";
```

Salve o token de seus signatários

```java
String signer_token1 = "TOKEN DO SIGNATÁRIO 1";
String signer_token2 = "TOKEN DO SIGNATÁRIO 2";

ArrayList<String> signers_token = new ArrayList<>();
        signers_token.add(signer_token1);
        signers_token.add(signer_token2);
```

Crie a classe [SignInBatch](/facilitadores/sdks/sdk-em-java/requisicoes-para-signatarios/signinbatch.md):

```java
SignBatch signBatch = SignBatch.builder()
                .user_token(userToken)
                .signer_tokens(signers_token)
                .build();
```

Chame o método signInBatch e receba como resposta uma string contendo uma mensagem de sucesso ou uma mensagem de erro:

```java
try {
    Signer signerResponse = new SignerRequest(apiToken).signInBatch(signBatch);
    String jsonDocResponse = new JsonConverter().signerToJson(signerResponse);
    System.out.println(jsonDocResponse);
}
catch(Exception exceptionError) {
    System.out.println(exceptionError.getMessage());
}
```

### Exemplo completo:

```java
import body.signer.SignBatch;
import signers.SignerRequest;

import java.util.ArrayList;

public class SignInBatch {
    public static void main(String[] args) throws Exception {
        String apiToken = "SEU TOKEN";
        String userToken = "TOKEN USUÁRIO";
        String signer_token1 = "TOKEN DO SIGNATÁRIO 1";
        String signer_token2 = "TOKEN DO SIGNATÁRIO 2";

        ArrayList<String> signers_token = new ArrayList<>();
        signers_token.add(signer_token1);
        signers_token.add(signer_token2);

        SignBatch signBatch = SignBatch.builder()
                .user_token(userToken)
                .signer_tokens(signers_token)
                .build();

        try {
            String response = new SignerRequest(apiToken).signInBatch(signBatch);
            System.out.println(response);
        }
        catch(Exception exceptionError) {
            System.out.println(exceptionError.getMessage());
        }
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-java/requisicoes-para-signatarios/signinbatch.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
